> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an attribute

> Gets information about a single attribute on either an object or a list.

When `target` is `objects`, the required scopes are `object_configuration:read`. When `target` is `lists`, the required scopes are `list_configuration:read`.



## OpenAPI

````yaml https://api.attio.com/openapi/api get /v2/{target}/{identifier}/attributes/{attribute}
openapi: 3.1.0
info:
  title: Attio API
  version: 2.0.0
  contact:
    name: Attio Support
    email: support@attio.com
    url: https://attio.com/help
servers:
  - url: https://api.attio.com
    description: Production
security:
  - oauth2: []
tags:
  - name: Objects
    description: >-
      Objects are the core data models inside of Attio. They contain standard
      objects, such as
      [people](/rest-api/endpoint-reference/standard-objects/people/list-person-records),
      [companies](/rest-api/endpoint-reference/standard-objects/companies/list-company-records)
      or [deals](/docs/standard-objects-deals), and custom objects that are
      specific to your use-case. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Object views
    description: Object views are saved table or board layouts for an object.
  - name: List views
    description: List views are saved table or board layouts for a list.
  - name: Attributes
    description: >-
      Attributes model properties of objects and lists. Some attributes, such as
      the `name` attribute on a person, are system-defined, while others are
      user-defined. Attributes are one of [many types](/docs/attribute-types)
      such as text, location or select. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Records
    description: >-
      Records are individual instances of objects e.g. a specific
      [person](/rest-api/endpoint-reference/standard-objects/people/list-person-records)
      or
      [company](/rest-api/endpoint-reference/standard-objects/companies/list-company-records).
      See our [objects and lists guide](/docs/objects-and-lists) for more
      information.
  - name: SCIM groups
    description: >-
      SCIM groups represent Attio teams managed through the SCIM provisioning
      protocol.
  - name: SCIM schemas
    description: >-
      SCIM schemas describe the resource types supported by the SCIM service
      provider.
  - name: SCIM users
    description: >-
      SCIM users represent workspace members managed through the SCIM
      provisioning protocol.
  - name: Lists
    description: >-
      Lists are used to model a particular process. A list contains many records
      of a single object type, where each record is represented by an entry.
      Entries contain their own data from attributes defined on the list and
      also data from their parent record. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Meta
    description: Meta endpoints are used to get information about the API token.
  - name: Entries
    description: >-
      Entries are elements in a list that reference a single parent record.
      Entries contain their own data from attributes defined on the list and
      also data from their parent record. See our [objects and lists
      guide](/docs/objects-and-lists) for more information.
  - name: Files
    description: >-
      Files are documents and folders linked to records, stored either in Attio
      or connected via external storage providers.
  - name: Workspace members
    description: >-
      Workspace members represent a user with access to a workspace. Workspace
      members are assigned roles that determine what they can do within the
      workspace.
  - name: Notes
    description: Notes are rich text documents that reference a single parent record.
  - name: Meetings
    description: >-
      Meetings are events synced from your calendar, added manually or added
      from third-party integrations.
  - name: Call recordings
    description: >-
      Call recordings store video, audio, transcript and speaker information for
      calls. They are linked to meetings.
  - name: Transcripts
    description: >-
      Transcripts contain the speech segments and speaker information for a call
      recording. They are linked to call recordings.
  - name: Tasks
    description: >-
      A task is a defined, actionable item with references to linked records and
      assigned workspace members.
  - name: Webhooks
    description: >-
      Webhooks allow you to listen for changes to data in Attio, for example
      when a record is updated.
  - name: Threads
    description: >-
      Threads are groups of
      [comments](/rest-api/endpoint-reference/comments/get-a-comment) on either
      a record or entry.
  - name: Comments
    description: >-
      Comments are messages on a
      [thread](/rest-api/endpoint-reference/threads/list-threads).
  - name: People
    description: >-
      People are one of the core objects inside of Attio. Person records can be
      added to lists and can be created automatically when syncing your mailbox.
  - name: Companies
    description: >-
      Companies are one of the core objects inside of Attio. Company records can
      be added to lists and can be created automatically when syncing your
      mailbox.
  - name: Users
    description: >-
      Users are an optional standard object that represents a user of your
      system. Users can belong to many workspaces.
  - name: Deals
    description: >-
      Deals are an optional standard object that represent a deal or
      opportunity.
  - name: Workspaces
    description: >-
      Workspaces are an optional standard object that represent a workspace or
      account in your system. Workspaces have many users and can be used to
      model a multi-tenant system. A company record can optionally have multiple
      workspaces.
paths:
  /v2/{target}/{identifier}/attributes/{attribute}:
    get:
      tags:
        - Attributes
      summary: Get an attribute
      description: >-
        Gets information about a single attribute on either an object or a list.


        When `target` is `objects`, the required scopes are
        `object_configuration:read`. When `target` is `lists`, the required
        scopes are `list_configuration:read`.
      parameters:
        - schema:
            type: string
            enum:
              - objects
              - lists
            description: Whether the attribute is on an object or a list.
            example: lists
          required: true
          name: target
          in: path
        - schema:
            type: string
            description: >-
              A UUID or slug to identify the object or list the attribute
              belongs to.
            example: 33ebdbe9-e529-47c9-b894-0ba25e9c15c0
          required: true
          name: identifier
          in: path
        - schema:
            type: string
            description: A UUID or slug to identify the attribute.
            example: 41252299-f8c7-4b5e-99c9-4ff8321d2f96
          required: true
          name: attribute
          in: path
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/attribute'
                required:
                  - data
                description: Success
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status_code:
                    type: number
                    enum:
                      - 404
                  type:
                    type: string
                    enum:
                      - invalid_request_error
                  code:
                    type: string
                    enum:
                      - not_found
                  message:
                    type: string
                    example: Attribute with slug/ID "my-attribute" not found.
                required:
                  - status_code
                  - type
                  - code
                  - message
                description: Not Found
      security:
        - oauth2: []
components:
  schemas:
    attribute:
      type: object
      properties:
        id:
          type: object
          properties:
            workspace_id:
              type: string
              format: uuid
              description: A UUID representing the workspace this attribute belongs to.
              example: 14beef7a-99f7-4534-a87e-70b564330a4c
            object_id:
              type: string
              format: uuid
              description: >-
                A UUID to identify the object or list that this attribute
                belongs to
              example: 97052eb9-e65e-443f-a297-f2d9a4a7f795
            attribute_id:
              type: string
              format: uuid
              description: A UUID to identify this attribute.
              example: 41252299-f8c7-4b5e-99c9-4ff8321d2f96
          required:
            - workspace_id
            - object_id
            - attribute_id
        title:
          type: string
          description: A title for the attribute, to be displayed across the app.
          example: Company
        description:
          type:
            - string
            - 'null'
          description: A text description of the attribute.
          example: A company attribute
        api_slug:
          type: string
          description: >-
            A unique slug for the attribute for use in API responses and URLs.
            Formatted in snake case.
          example: company
        type:
          type: string
          enum:
            - text
            - number
            - checkbox
            - currency
            - date
            - timestamp
            - rating
            - status
            - select
            - record-reference
            - actor-reference
            - location
            - domain
            - email-address
            - phone-number
            - interaction
            - personal-name
          description: The type of the attribute.
          example: text
        is_system_attribute:
          type: boolean
          description: >-
            `true` if this is an Attio system-defined attribute, `false` if
            defined by a user or non-Attio system.
          example: true
        is_writable:
          type: boolean
          description: >-
            Whether or not this attribute can be written to. Can only be false
            when `is_system_attribute` is `true` (user-defined attributes are
            always writeable). If `false`, this usually means the attribute is
            enriched by Attio.
          example: true
        is_required:
          type: boolean
          description: >-
            When `is_required` is `true`, new records/entries must have a value
            for this attribute. If `false`, values may be `null`. This value
            does not affect existing data and you do not need to backfill `null`
            values if changing `is_required` from `false` to `true`.
          example: true
        is_unique:
          type: boolean
          description: >-
            Whether or not new values for this attribute must be unique.
            Uniqueness restrictions are only applied to new data and do not
            apply retroactively to previously created data.
          example: true
        is_multiselect:
          type: boolean
          description: >-
            Whether or not this attribute can have multiple values. Multiselect
            is only available on some value types.
          example: true
        is_default_value_enabled:
          type: boolean
          description: >-
            Whether this attribute has a default value enabled. Must be `true`
            when `is_required` is `true`.
          example: true
        is_archived:
          type: boolean
          description: >-
            Whether this attribute has been archived. Archived attributes are
            hidden from most UI, but can be restored either over the API or in
            workspace settings. See the [guide on archiving and
            deleting](/docs/archiving-vs-deleting)for more information.
          example: false
        default_value:
          anyOf:
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - dynamic
                  example: dynamic
                template:
                  anyOf:
                    - type: string
                      enum:
                        - current-user
                      description: >-
                        For actor reference attributes, you may pass a dynamic
                        value of `"current-user"`. When creating new records or
                        entries, this will cause the actor reference value to be
                        populated with either the workspace member or API token
                        that created the record/entry.
                      example: current-user
                    - type: string
                      description: >-
                        Timestamp attributes may use an ISO 8601 duration as a
                        dynamic value. For example, `"P1M"` would set the value
                        to the current time plus one month.
                      example: P1M
                    - type: string
                      description: >-
                        Date attributes may use an ISO 8601 duration as a
                        dynamic value. For example, `"P1M"` would set the value
                        to the current time plus one month.
                      example: P1M
              required:
                - type
                - template
            - type: object
              properties:
                type:
                  type: string
                  enum:
                    - static
                  example: static
                template:
                  type: array
                  items:
                    $ref: '#/components/schemas/output-value'
                  example:
                    - value: Some default text
                      attribute_type: text
              required:
                - type
                - template
            - type: 'null'
          description: >-
            The default value for this attribute. Static values are used to
            directly populate values using their contents. Dynamic values are
            used to lookup data at the point of creation. For example, you could
            use a dynamic value to insert a value for the currently logged in
            user. Which default values are available is dependent on the type of
            the attribute.
        relationship:
          type:
            - object
            - 'null'
          properties:
            id:
              type: object
              properties:
                workspace_id:
                  type: string
                  format: uuid
                  description: A UUID representing the workspace this attribute belongs to.
                  example: 14beef7a-99f7-4534-a87e-70b564330a4c
                object_id:
                  type: string
                  format: uuid
                  description: >-
                    A UUID to identify the object or list that this attribute
                    belongs to
                  example: 97052eb9-e65e-443f-a297-f2d9a4a7f795
                attribute_id:
                  type: string
                  format: uuid
                  description: A UUID to identify this attribute.
                  example: 41252299-f8c7-4b5e-99c9-4ff8321d2f96
              required:
                - workspace_id
                - object_id
                - attribute_id
            object_slug:
              type: string
              description: The slug of the object that the related attribute belongs to.
              example: companies
            title:
              type: string
              description: The title of the related attribute.
              example: Team members
            api_slug:
              type: string
              description: The API slug identifying the related attribute.
              example: team_members
            is_multiselect:
              type: boolean
              description: >-
                Whether the related attribute supports selecting multiple
                values. Combined with the parent attribute's `is_multiselect`,
                this determines the relationship type: both `false` =
                one-to-one, parent `true` + related `false` = many-to-one,
                parent `false` + related `true` = one-to-many, both `true` =
                many-to-many.
              example: true
          required:
            - id
            - object_slug
            - title
            - api_slug
            - is_multiselect
          description: >-
            If this attribute is related to another attribute, this is an object
            that includes an `id` property that identifies the other attribute.
            `null` means no relationship exists. See [the help
            center](https://attio.com/help/reference/managing-your-data/attributes#relationship-attributes)
            for more details about relationship attributes.
        created_at:
          type: string
          description: When this attribute was created.
          example: '2022-11-21T13:22:49.061281000Z'
        config:
          type: object
          properties:
            currency:
              type: object
              properties:
                default_currency_code:
                  type:
                    - string
                    - 'null'
                  enum:
                    - ARS
                    - AUD
                    - BRL
                    - BGN
                    - CAD
                    - CLP
                    - CNY
                    - COP
                    - CZK
                    - DKK
                    - EUR
                    - FJD
                    - HKD
                    - HUF
                    - ISK
                    - INR
                    - ILS
                    - JPY
                    - KES
                    - KRW
                    - MYR
                    - MXN
                    - NTD
                    - NZD
                    - NGN
                    - NOK
                    - XPF
                    - PEN
                    - PHP
                    - PLN
                    - GBP
                    - RWF
                    - SAR
                    - SGD
                    - ZAR
                    - SEK
                    - CHF
                    - THB
                    - AED
                    - UYU
                    - USD
                  description: >-
                    The ISO4217 code representing the currency that values for
                    this attribute should be stored in.
                  example: USD
                display_type:
                  type:
                    - string
                    - 'null'
                  enum:
                    - code
                    - name
                    - narrowSymbol
                    - symbol
                  description: >-
                    How the currency should be displayed across the app. "code"
                    will display the ISO currency code e.g. "USD", "name" will
                    display the localized currency name e.g. "British pound",
                    "narrowSymbol" will display "$1" instead of "US$1" and
                    "symbol" will display a localized currency symbol such as
                    "$".
                  example: code
              required:
                - default_currency_code
                - display_type
              description: Configuration available for attributes of type "currency".
            record_reference:
              type: object
              properties:
                allowed_object_ids:
                  type:
                    - array
                    - 'null'
                  items:
                    type: string
                    format: uuid
                    example: 97052eb9-e65e-443f-a297-f2d9a4a7f795
                  description: >-
                    A list of UUIDs to indicate which objects records are
                    allowed to belong to. Leave empty to to allow records from
                    all object types.
              required:
                - allowed_object_ids
              description: >-
                Configuration available for attributes of type
                "record-reference".
          required:
            - currency
            - record_reference
          description: Additional, type-dependent configuration for the attribute.
      required:
        - id
        - title
        - description
        - api_slug
        - type
        - is_system_attribute
        - is_writable
        - is_required
        - is_unique
        - is_multiselect
        - is_default_value_enabled
        - is_archived
        - default_value
        - relationship
        - created_at
        - config
      example:
        id:
          workspace_id: 14beef7a-99f7-4534-a87e-70b564330a4c
          object_id: 97052eb9-e65e-443f-a297-f2d9a4a7f795
          attribute_id: 41252299-f8c7-4b5e-99c9-4ff8321d2f96
        title: Company
        description: A company attribute
        api_slug: company
        type: record-reference
        is_system_attribute: false
        is_writable: true
        is_required: false
        is_unique: false
        is_multiselect: false
        is_default_value_enabled: false
        is_archived: false
        default_value: null
        relationship:
          id:
            workspace_id: 14beef7a-99f7-4534-a87e-70b564330a4c
            object_id: 97052eb9-e65e-443f-a297-f2d9a4a7f795
            attribute_id: 41252299-f8c7-4b5e-99c9-4ff8321d2f96
          object_slug: companies
          title: Team members
          api_slug: team_members
          is_multiselect: true
        created_at: '2021-11-21T13:22:49.061Z'
        config:
          currency:
            default_currency_code: null
            display_type: null
          record_reference:
            allowed_object_ids:
              - companies
    output-value:
      anyOf:
        - type: object
          properties:
            referenced_actor_type:
              type: string
              enum:
                - api-token
                - workspace-member
                - system
                - app
              description: >-
                The type of the referenced actor. [Read more information on
                actor types here](/docs/actors).
              example: workspace-member
            referenced_actor_id:
              type:
                - string
                - 'null'
              format: uuid
              description: The ID of the referenced actor.
              example: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
            attribute_type:
              type: string
              enum:
                - actor-reference
              description: The attribute type of the value.
              example: actor-reference
          required:
            - referenced_actor_type
            - referenced_actor_id
            - attribute_type
          additionalProperties: false
        - type: object
          properties:
            value:
              type: boolean
              description: >-
                A boolean representing whether the checkbox is checked or not.
                The string values 'true' and 'false' are also accepted.
              example: true
            attribute_type:
              type: string
              enum:
                - checkbox
              description: The attribute type of the value.
              example: checkbox
          required:
            - value
            - attribute_type
          additionalProperties: false
        - type: object
          properties:
            currency_value:
              type: number
              description: >-
                A numerical representation of the currency value. A decimal with
                a max of 4 decimal places.
              example: 99
            currency_code:
              type:
                - string
                - 'null'
              enum:
                - ARS
                - AUD
                - BRL
                - BGN
                - CAD
                - CLP
                - CNY
                - COP
                - CZK
                - DKK
                - EUR
                - FJD
                - HKD
                - HUF
                - ISK
                - INR
                - ILS
                - JPY
                - KES
                - KRW
                - MYR
                - MXN
                - NTD
                - NZD
                - NGN
                - NOK
                - XPF
                - PEN
                - PHP
                - PLN
                - GBP
                - RWF
                - SAR
                - SGD
                - ZAR
                - SEK
                - CHF
                - THB
                - AED
                - UYU
                - USD
              description: >-
                The ISO4217 currency code representing the currency that the
                value is stored in.
              example: USD
            attribute_type:
              type: string
              enum:
                - currency
              description: The attribute type of the value.
              example: currency
          required:
            - currency_value
            - attribute_type
          additionalProperties: false
        - type: object
          properties:
            attribute_type:
              type: string
              enum:
                - date
              description: The attribute type of the value.
              example: date
            value:
              type: string
              description: >-
                A date represents a single calendar year, month and day,
                independent of timezone. If hours, months, seconds or timezones
                are provided, they will be trimmed. For example, "2023" and
                "2023-01" will be coerced into "2023-01-01", and "2023-01-02",
                "2023-01-02T13:00", "2023-01-02T14:00:00",
                "2023-01-02T15:00:00.000000000", and
                "2023-01-02T15:00:00.000000000+02:00" will all be coerced to
                "2023-01-02". If a timezone is provided that would result in a
                different calendar date in UTC, the date will be coerced to UTC
                and then the timezone component will be trimmed. For example,
                the value "2023-01-02T23:00:00-10:00" will be returned as
                "2023-01-03". The maximum date is "9999-12-31".
              example: '2023-01-01'
          required:
            - attribute_type
            - value
          additionalProperties: false
        - type: object
          properties:
            domain:
              type: string
              example: app.attio.com
            root_domain:
              type: string
              example: attio.com
            attribute_type:
              type: string
              enum:
                - domain
              description: The attribute type of the value.
              example: domain
          required:
            - domain
            - root_domain
            - attribute_type
          additionalProperties: false
        - type: object
          properties:
            original_email_address:
              type: string
              example: alice@app.attio.com
            email_address:
              type: string
              example: alice@app.attio.com
            email_domain:
              type: string
              example: app.attio.com
            email_root_domain:
              type: string
              example: attio.com
            email_local_specifier:
              type: string
              example: alice
            attribute_type:
              type: string
              enum:
                - email-address
              description: The attribute type of the value.
              example: email-address
          required:
            - original_email_address
            - email_address
            - email_domain
            - email_root_domain
            - email_local_specifier
            - attribute_type
        - type: object
          properties:
            target_object:
              type: string
              description: >-
                A slug identifying the object that the referenced record belongs
                to.
              example: people
            target_record_id:
              type: string
              format: uuid
              description: A UUID to identify the referenced record.
              example: 891dcbfc-9141-415d-9b2a-2238a6cc012d
            attribute_type:
              type: string
              enum:
                - record-reference
              description: The attribute type of the value.
              example: record-reference
          required:
            - target_object
            - target_record_id
            - attribute_type
          additionalProperties: false
        - type: object
          properties:
            interaction_type:
              type: string
              enum:
                - calendar-event
                - call
                - chat-thread
                - email
                - in-person-meeting
                - meeting
              description: The type of interaction e.g. calendar or email.
              example: email
            interacted_at:
              type: string
              format: date-time
              description: When the interaction occurred.
              example: '2023-01-01T15:00:00.000000000Z'
            owner_actor:
              type: object
              description: The actor that created this value.
              properties:
                id:
                  type: string
                  description: An ID to identify the actor.
                  nullable: true
                type:
                  type: string
                  enum:
                    - api-token
                    - workspace-member
                    - system
                    - app
                  nullable: true
                  description: >-
                    The type of actor. [Read more information on actor types
                    here](/docs/actors).
              example:
                type: workspace-member
                id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
            attribute_type:
              type: string
              enum:
                - interaction
              description: The attribute type of the value.
              example: interaction
          required:
            - interaction_type
            - interacted_at
            - owner_actor
            - attribute_type
          additionalProperties: false
        - type: object
          properties:
            line_1:
              type:
                - string
                - 'null'
              description: >-
                The first line of the address. Note that this value is not
                currently represented in the UI but will be persisted and
                readable through API calls.
              example: 1 Infinite Loop
            line_2:
              type:
                - string
                - 'null'
              description: >-
                The second line of the address. Note that this value is not
                currently represented in the UI but will be persisted and
                readable through API calls.
              example: Block 1
            line_3:
              type:
                - string
                - 'null'
              description: >-
                The third line of the address. Note that this value is not
                currently represented in the UI but will be persisted and
                readable through API calls.
              example: Hilldrop Estate
            line_4:
              type:
                - string
                - 'null'
              description: >-
                The fourth line of the address. Note that this value is not
                currently represented in the UI but will be persisted and
                readable through API calls.
              example: Westborough
            locality:
              type:
                - string
                - 'null'
              description: The town, neighborhood or area the location is in.
              example: Cupertino
            region:
              type:
                - string
                - 'null'
              description: The state, county, province or region that the location is in.
              example: CA
            postcode:
              type:
                - string
                - 'null'
              description: >-
                The postcode or zip code for the location. Note that this value
                is not currently represented in the UI but will be persisted and
                readable through API calls.}
              example: '95014'
            country_code:
              type:
                - string
                - 'null'
              enum:
                - AF
                - AX
                - AL
                - DZ
                - AS
                - AD
                - AO
                - AI
                - AQ
                - AG
                - AR
                - AM
                - AW
                - AU
                - AT
                - AZ
                - BS
                - BH
                - BD
                - BB
                - BY
                - BE
                - BZ
                - BJ
                - BM
                - BT
                - BO
                - BA
                - BW
                - BV
                - BR
                - IO
                - BN
                - BG
                - BF
                - BI
                - KH
                - CM
                - CA
                - CV
                - KY
                - CF
                - TD
                - CL
                - CN
                - CX
                - CC
                - CO
                - KM
                - CG
                - CD
                - CK
                - CR
                - CI
                - HR
                - CU
                - CW
                - CY
                - CZ
                - DK
                - DJ
                - DM
                - DO
                - EC
                - EG
                - SV
                - GQ
                - ER
                - EE
                - ET
                - FK
                - FO
                - FJ
                - FI
                - FR
                - GF
                - PF
                - TF
                - GA
                - GM
                - GE
                - DE
                - GH
                - GI
                - GR
                - GL
                - GD
                - GP
                - GU
                - GT
                - GG
                - GN
                - GW
                - GY
                - HT
                - HM
                - VA
                - HN
                - HK
                - HU
                - IS
                - IN
                - ID
                - IR
                - IQ
                - IE
                - IM
                - IL
                - IT
                - JM
                - JP
                - JE
                - JO
                - KZ
                - KE
                - KI
                - KR
                - KW
                - KG
                - LA
                - LV
                - LB
                - LS
                - LR
                - LY
                - LI
                - LT
                - LU
                - MO
                - MK
                - MG
                - MW
                - MY
                - MV
                - ML
                - MT
                - MH
                - MQ
                - MR
                - MU
                - YT
                - MX
                - FM
                - MD
                - MC
                - MN
                - ME
                - MS
                - MA
                - MZ
                - MM
                - NA
                - NR
                - NP
                - NL
                - AN
                - NC
                - NZ
                - NI
                - NE
                - NG
                - NU
                - NF
                - MP
                - 'NO'
                - OM
                - PK
                - PW
                - PS
                - PA
                - PG
                - PY
                - PE
                - PH
                - PN
                - PL
                - PT
                - PR
                - QA
                - RE
                - RO
                - RU
                - RW
                - BL
                - SH
                - KN
                - LC
                - MF
                - PM
                - VC
                - WS
                - SM
                - ST
                - SA
                - SN
                - SS
                - RS
                - SC
                - SL
                - SG
                - SK
                - SI
                - SB
                - SO
                - ZA
                - GS
                - ES
                - LK
                - SD
                - SR
                - SJ
                - SZ
                - SE
                - CH
                - SY
                - TW
                - TJ
                - TZ
                - TH
                - TL
                - TG
                - TK
                - TO
                - TT
                - TN
                - TR
                - TM
                - TC
                - TV
                - UG
                - UA
                - AE
                - GB
                - US
                - UM
                - UY
                - UZ
                - VU
                - VE
                - VN
                - VG
                - VI
                - WF
                - EH
                - YE
                - ZM
                - ZW
                - BQ
                - KP
                - SX
                - XK
                - AC
              description: >-
                The ISO 3166-1 alpha-2 country code for the country this
                location is in.
              example: US
            latitude:
              type:
                - string
                - 'null'
              pattern: ^[-+]?([1-8]?\d(\.\d+)?|90(\.0+)?)$
              description: >-
                The latitude of the location. Validated by the regular
                expression `/^[-+]?([1-8]?\d(\.\d+)?|90(\.0+)?)$/`. Values are
                stored with up to 9 decimal places of precision. Note that this
                value is not currently represented in the UI but will be
                persisted and readable through API calls.}
              example: '37.331741'
            longitude:
              type:
                - string
                - 'null'
              pattern: ^[-+]?(180(\.0+)?|((1[0-7]\d)|([1-9]?\d))(\.\d+)?)$
              description: >-
                The longitude of the location. Validated by the regular
                expression
                `/^[-+]?(180(\.0+)?|((1[0-7]\d)|([1-9]?\d))(\.\d+)?)$/`. Values
                are stored with up to 9 decimal places of precision. Note that
                this value is not currently represented in the UI but will be
                persisted and readable through API calls.}
              example: '-122.030333'
            attribute_type:
              type: string
              enum:
                - location
              description: The attribute type of the value.
              example: location
          required:
            - line_1
            - line_2
            - line_3
            - line_4
            - locality
            - region
            - postcode
            - country_code
            - latitude
            - longitude
            - attribute_type
          additionalProperties: false
        - type: object
          properties:
            value:
              type: number
              description: Numbers are persisted as 64 bit floats.
              example: 42
            attribute_type:
              type: string
              enum:
                - number
              description: The attribute type of the value.
              example: number
          required:
            - value
            - attribute_type
        - type: object
          properties:
            first_name:
              type: string
              example: Ada
              description: The first name.
            last_name:
              type: string
              example: Lovelace
              description: The last name.
            full_name:
              type: string
              example: Ada Lovelace
              description: The full name.
            attribute_type:
              type: string
              enum:
                - personal-name
              description: The attribute type of the value.
              example: personal-name
          required:
            - first_name
            - last_name
            - full_name
            - attribute_type
          additionalProperties: false
        - type: object
          properties:
            original_phone_number:
              type: string
              description: The raw, original phone number, as inputted.
              example: '5558675309'
            country_code:
              type: string
              description: >-
                The ISO 3166-1 alpha-2 country code representing the country
                that this phone number belongs to.
              enum:
                - AF
                - AX
                - AL
                - DZ
                - AS
                - AD
                - AO
                - AI
                - AQ
                - AG
                - AR
                - AM
                - AW
                - AU
                - AT
                - AZ
                - BS
                - BH
                - BD
                - BB
                - BY
                - BE
                - BZ
                - BJ
                - BM
                - BT
                - BO
                - BA
                - BW
                - BV
                - BR
                - IO
                - BN
                - BG
                - BF
                - BI
                - KH
                - CM
                - CA
                - CV
                - KY
                - CF
                - TD
                - CL
                - CN
                - CX
                - CC
                - CO
                - KM
                - CG
                - CD
                - CK
                - CR
                - CI
                - HR
                - CU
                - CW
                - CY
                - CZ
                - DK
                - DJ
                - DM
                - DO
                - EC
                - EG
                - SV
                - GQ
                - ER
                - EE
                - ET
                - FK
                - FO
                - FJ
                - FI
                - FR
                - GF
                - PF
                - TF
                - GA
                - GM
                - GE
                - DE
                - GH
                - GI
                - GR
                - GL
                - GD
                - GP
                - GU
                - GT
                - GG
                - GN
                - GW
                - GY
                - HT
                - HM
                - VA
                - HN
                - HK
                - HU
                - IS
                - IN
                - ID
                - IR
                - IQ
                - IE
                - IM
                - IL
                - IT
                - JM
                - JP
                - JE
                - JO
                - KZ
                - KE
                - KI
                - KR
                - KW
                - KG
                - LA
                - LV
                - LB
                - LS
                - LR
                - LY
                - LI
                - LT
                - LU
                - MO
                - MK
                - MG
                - MW
                - MY
                - MV
                - ML
                - MT
                - MH
                - MQ
                - MR
                - MU
                - YT
                - MX
                - FM
                - MD
                - MC
                - MN
                - ME
                - MS
                - MA
                - MZ
                - MM
                - NA
                - NR
                - NP
                - NL
                - AN
                - NC
                - NZ
                - NI
                - NE
                - NG
                - NU
                - NF
                - MP
                - 'NO'
                - OM
                - PK
                - PW
                - PS
                - PA
                - PG
                - PY
                - PE
                - PH
                - PN
                - PL
                - PT
                - PR
                - QA
                - RE
                - RO
                - RU
                - RW
                - BL
                - SH
                - KN
                - LC
                - MF
                - PM
                - VC
                - WS
                - SM
                - ST
                - SA
                - SN
                - SS
                - RS
                - SC
                - SL
                - SG
                - SK
                - SI
                - SB
                - SO
                - ZA
                - GS
                - ES
                - LK
                - SD
                - SR
                - SJ
                - SZ
                - SE
                - CH
                - SY
                - TW
                - TJ
                - TZ
                - TH
                - TL
                - TG
                - TK
                - TO
                - TT
                - TN
                - TR
                - TM
                - TC
                - TV
                - UG
                - UA
                - AE
                - GB
                - US
                - UM
                - UY
                - UZ
                - VU
                - VE
                - VN
                - VG
                - VI
                - WF
                - EH
                - YE
                - ZM
                - ZW
                - BQ
                - KP
                - SX
                - XK
                - AC
              example: US
            phone_number:
              type: string
              example: '+15558675309'
            attribute_type:
              type: string
              enum:
                - phone-number
              description: The attribute type of the value.
              example: phone-number
          required:
            - original_phone_number
            - country_code
            - phone_number
            - attribute_type
        - type: object
          properties:
            status:
              type: string
              format: uuid
              description: The UUID identifying the selected status.
              example: 11f07f01-c10f-4e05-a522-33e050bc52ee
            attribute_type:
              type: string
              enum:
                - status
              description: The attribute type of the value.
              example: status
          required:
            - status
            - attribute_type
          additionalProperties: false
        - type: object
          properties:
            status:
              $ref: '#/components/schemas/status'
            attribute_type:
              type: string
              enum:
                - status
              description: The attribute type of the value.
              example: status
          required:
            - status
            - attribute_type
          additionalProperties: false
        - type: object
          properties:
            value:
              type: number
              description: A number between 0 and 5 (inclusive) to represent a star rating.
              example: 3
            attribute_type:
              type: string
              enum:
                - rating
              description: The attribute type of the value.
              example: rating
          required:
            - value
            - attribute_type
          additionalProperties: false
        - type: object
          properties:
            option:
              type: string
              format: uuid
              description: The UUID identifying the selected select option.
              example: 08c2c59a-c18e-40c6-8dc4-95415313b2ea
            attribute_type:
              type: string
              enum:
                - select
              description: The attribute type of the value.
              example: select
          required:
            - option
            - attribute_type
          additionalProperties: false
        - type: object
          properties:
            option:
              $ref: '#/components/schemas/select-option'
            attribute_type:
              type: string
              enum:
                - select
              description: The attribute type of the value.
              example: select
          required:
            - option
            - attribute_type
          additionalProperties: false
        - type: object
          properties:
            value:
              type: string
              description: A raw text field. Values are limited to 10MB.
              example: >-
                Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do
                eiusmod tempor incididunt ut labore et dolore magna aliqua.
            attribute_type:
              type: string
              enum:
                - text
              description: The attribute type of the value.
              example: text
          required:
            - value
            - attribute_type
          additionalProperties: false
        - type: object
          properties:
            attribute_type:
              type: string
              enum:
                - timestamp
              description: The attribute type of the value.
              example: timestamp
            value:
              type: string
              description: >-
                A timestamp value represents a single, universal moment in time
                using an ISO 8601 formatted string. This means that a timestamp
                consists of a date, a time (with nanosecond precision), and a
                time zone. Attio will coerce timestamps which do not provide
                full nanosecond precision and UTC is assumed if no time zone is
                provided. For example, "2023", "2023-01", "2023-01-02",
                "2023-01-02T13:00", "2023-01-02T13:00:00", and
                "2023-01-02T13:00:00.000000000" will all be coerced to
                "2023-01-02T13:00:00.000000000Z". Timestamps are always returned
                in UTC. For example, writing a timestamp value using the string
                "2023-01-02T13:00:00.000000000+02:00" will result in the value
                "2023-01-02T11:00:00.000000000Z" being returned. The maximum
                date is "9999-12-31T23:59:59.999999999Z".
              format: date
              example: '2023-01-01T15:00:00.000000000Z'
          required:
            - attribute_type
            - value
          additionalProperties: false
      description: A union of possible value types, as returned in response bodies.
    status:
      type: object
      properties:
        id:
          type: object
          properties:
            workspace_id:
              type: string
              format: uuid
              description: The ID of the workspace
              example: 14beef7a-99f7-4534-a87e-70b564330a4c
            object_id:
              type: string
              format: uuid
              description: The ID of the object
              example: 97052eb9-e65e-443f-a297-f2d9a4a7f795
            attribute_id:
              type: string
              format: uuid
              description: The ID of the attribute
              example: 41252299-f8c7-4b5e-99c9-4ff8321d2f96
            status_id:
              type: string
              format: uuid
              description: The ID of the status
              example: 11f07f01-c10f-4e05-a522-33e050bc52ee
          required:
            - workspace_id
            - object_id
            - attribute_id
            - status_id
        title:
          type: string
          description: The title of the status
          example: In Progress
        is_archived:
          type: boolean
          description: >-
            Whether or not to archive the status. See our [archiving
            guide](/docs/archiving-vs-deleting) for more information on
            archiving.
          example: false
        celebration_enabled:
          type: boolean
          description: >-
            Whether arriving at this status triggers a celebration effect in the
            UI
          example: false
        target_time_in_status:
          type:
            - string
            - 'null'
          description: >-
            Target time for a record to spend in given status expressed as a
            ISO-8601 duration string
          example: P0Y0M1DT0H0M0S
      required:
        - id
        - title
        - is_archived
        - celebration_enabled
        - target_time_in_status
    select-option:
      type: object
      properties:
        id:
          type: object
          properties:
            workspace_id:
              type: string
              format: uuid
              description: The ID of the workspace
              example: 14beef7a-99f7-4534-a87e-70b564330a4c
            object_id:
              type: string
              format: uuid
              description: The ID of the object
              example: 97052eb9-e65e-443f-a297-f2d9a4a7f795
            attribute_id:
              type: string
              format: uuid
              description: The ID of the attribute
              example: 41252299-f8c7-4b5e-99c9-4ff8321d2f96
            option_id:
              type: string
              format: uuid
              description: The ID of the select option
              example: 08c2c59a-c18e-40c6-8dc4-95415313b2ea
          required:
            - workspace_id
            - object_id
            - attribute_id
            - option_id
        title:
          type: string
          description: The title of the select option
          example: Medium
        is_archived:
          type: boolean
          description: >-
            Whether or not to archive the select option. See our [archiving
            guide](/docs/archiving-vs-deleting) for more information on
            archiving.
          example: false
      required:
        - id
        - title
        - is_archived
  securitySchemes:
    oauth2:
      type: oauth2
      description: This API uses OAuth 2.0 with the authorization code grant flow.
      flows:
        authorizationCode:
          authorizationUrl: https://app.attio.com/authorize
          tokenUrl: https://app.attio.com/oauth/token
          scopes:
            user_management:read: View workspace members.
            user_management:read-write: View workspace members.
            record_permission:read: View, and optionally write, records.
            record_permission:read-write: View, and optionally write, records.
            object_configuration:read: >-
              View, and optionally write, the configuration and attributes of
              objects.
            object_configuration:read-write: >-
              View, and optionally write, the configuration and attributes of
              objects.
            list_entry:read: View, and optionally write, the entries in a list.
            list_entry:read-write: View, and optionally write, the entries in a list.
            list_configuration:read: >-
              View, and optionally write, the configuration and attributes of
              lists.
            list_configuration:read-write: >-
              View, and optionally write, the configuration and attributes of
              lists.
            public_collection:read: >-
              View, and optionally write, both the settings and information
              within public collections.
            public_collection:read-write: >-
              View, and optionally write, both the settings and information
              within public collections.
            private_collection:read: >-
              View, and optionally modify, both the settings and information of
              all collections within the workspace, regardless of their access
              settings.
            private_collection:read-write: >-
              View, and optionally modify, both the settings and information of
              all collections within the workspace, regardless of their access
              settings.
            comment:read: View comments (and threads), and optionally write comments.
            comment:read-write: View comments (and threads), and optionally write comments.
            task:read: View, and optionally write, tasks.
            task:read-write: View, and optionally write, tasks.
            note:read: View, and optionally write, notes.
            note:read-write: View, and optionally write, notes.
            meeting:read: View, and optionally write, meetings.
            meeting:read-write: View, and optionally write, meetings.
            call_recording:read: >-
              View, and optionally write, call recordings, transcripts and
              speakers for meetings.
            call_recording:read-write: >-
              View, and optionally write, call recordings, transcripts and
              speakers for meetings.
            webhook:read: View, and optionally manage, webhooks.
            webhook:read-write: View, and optionally manage, webhooks.
            file:read: View, and upload files.
            file:read-write: View, and upload files.

````